slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetFromOptions

Sets EPS options from the options database. This routine must be called before EPSSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetFromOptions(EPS eps)

Collective

### Input Parameters

| eps | - the eigensolver context

### Notes

To see all options, run your program with the -help option.

### See Also

EPSSetOptionsPrefix()

### Level

beginner

### Location

src/eps/interface/epsopts.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages